Skip to main content
GET
Derivatives Underlying Assets List with Data

Notes

  • Results match any of coin_ids and rwa_ids, then are narrowed by underlying_type.
  • Maximum of 250 IDs per request. Wildcard searches are not supported.
  • Unknown IDs are ignored. Returns [] if nothing matches.
  • current_price, open_interest and total_volume are in USD.
  • Assets with null open interest or volume are always listed last, whether sorted ascending or descending.
  • For per-ticker data, use Derivatives Tickers List.

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

coin_ids
string
default:bitcoin

Coins' IDs, comma-separated if querying more than 1 coin. *refers to /coins/list

rwa_ids
string
default:gold

RWAs' IDs, comma-separated if querying more than 1 RWA. *refers to /rwas/list

underlying_type
enum<string>

Filter by underlying type.

Available options:
coin,
rwa
page
integer

Page through results. Default: 1

per_page
integer

Total results per page. Default: 100 Valid values: 1...250

order
enum<string>

Sort result by field. Default: open_interest_desc

Available options:
open_interest_desc,
open_interest_asc,
volume_desc,
volume_asc

Response

200 - application/json

List of derivatives underlying assets with data

id
string
required

Underlying asset ID (coin ID or RWA ID)

symbol
string
required

Underlying asset symbol

name
string
required

Underlying asset name

underlying_type
enum<string>
required

Underlying asset type

Available options:
coin,
rwa
current_price
number
required

Underlying asset price in USD

price_change_percentage_24h
number
required

Underlying asset 24-hour price change percentage

open_interest
number | null
required

Derivative open interest in USD

open_interest_change_percentage_1h
number
required

Derivative 1-hour open interest change percentage

open_interest_change_percentage_24h
number
required

Derivative 24-hour open interest change percentage

funding_rate
number
required

Derivative funding rate

total_volume
number | null
required

Derivative total trading volume in USD